package com.ym.mec.auth.api.client;

import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestHeader;

import com.ym.mec.auth.api.dto.SysUserInfo;

@FeignClient(name = "auth-server")
public interface SysUserFeignService {

	@GetMapping(value = "query/{username}")
	public SysUserInfo getUser(@PathVariable("username") String username, @RequestHeader("from") String from);

	@GetMapping(value = "task/test")
	public Object test();
}
