package com.ym.mec.web.dal.dao;

import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.web.dal.utilEntity.CourseGroupUtilEntity;
import com.ym.mec.web.dal.entity.CourseGroup;

import java.util.List;

public interface CourseGroupDao extends BaseDAO<Integer, CourseGroup> {


    /**
     * 根据课程组编号，查询课程详情
     * @param courseGroupId
     * @return
     */
    List<CourseGroupUtilEntity> findDetailById(Integer courseGroupId);
}