package com.ym.mec.web.dal.dao;

import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.web.dal.entity.Subject;

import java.util.List;

public interface SubjectDao extends BaseDAO<Integer, Subject> {

    /**
     * 通过乐团编号查询科目列表
     * @param musicGroupId
     * @return
     */
    List<Subject> findSubByMusicGroupId(Integer musicGroupId);

    /**
     * 通过乐团收费方式，获取默认的声部列表
     * @param chargeTypeId
     * @return
     */
    List<Subject> findSubByChargeType(Integer chargeTypeId);
}