package com.ym.mec.web.dal.entity;

import com.ym.mec.web.dal.enums.YesOrNoEnum;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(teacher_attendance):
 */
public class TeacherAttendance {

	/**  */
	private Long id;
	
	/**  */
	@ApiModelProperty(value = "教师编号",required = false)
	private Integer teacherId;
	
	/**  */
	@ApiModelProperty(value = "乐团编号",required = false)
	private Integer musicGroupId;
	
	/**  */
	@ApiModelProperty(value = "科目编号",required = false)
	private Integer subjectId;
	
	/**  */
	@ApiModelProperty(value = "班级编号",required = false)
	private Integer classGroupId;
	
	/**  */
	@ApiModelProperty(value = "课程计划编号",required = false)
	private Long courseScheduleId;
	
	/** 签到时间 */
	@ApiModelProperty(value = "签到时间",required = false)
	private java.util.Date signInTime;
	
	/** 状态(正常签到，异常签到) */
	@ApiModelProperty(value = "状态(1正常签到，0异常签到) ",required = false)
	private YesOrNoEnum status;
	
	/** 备注 */
	@ApiModelProperty(value = "备注",required = false)
	private String remark;
	
	/**  */
	private java.util.Date createTime;
	
	public void setId(Long id){
		this.id = id;
	}
	
	public Long getId(){
		return this.id;
	}
			
	public void setTeacherId(Integer teacherId){
		this.teacherId = teacherId;
	}
	
	public Integer getTeacherId(){
		return this.teacherId;
	}
			
	public void setMusicGroupId(Integer musicGroupId){
		this.musicGroupId = musicGroupId;
	}
	
	public Integer getMusicGroupId(){
		return this.musicGroupId;
	}
			
	public void setSubjectId(Integer subjectId){
		this.subjectId = subjectId;
	}
	
	public Integer getSubjectId(){
		return this.subjectId;
	}
			
	public void setClassGroupId(Integer classGroupId){
		this.classGroupId = classGroupId;
	}
	
	public Integer getClassGroupId(){
		return this.classGroupId;
	}
			
	public void setCourseScheduleId(Long courseScheduleId){
		this.courseScheduleId = courseScheduleId;
	}
	
	public Long getCourseScheduleId(){
		return this.courseScheduleId;
	}
			
	public void setSignInTime(java.util.Date signInTime){
		this.signInTime = signInTime;
	}
	
	public java.util.Date getSignInTime(){
		return this.signInTime;
	}

	public YesOrNoEnum getStatus() {
		return status;
	}

	public void setStatus(YesOrNoEnum status) {
		this.status = status;
	}

	public void setRemark(String remark){
		this.remark = remark;
	}
	
	public String getRemark(){
		return this.remark;
	}
			
	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
