package com.ym.mec.web.dal.page;

import com.ym.mec.common.page.QueryInfo;
import com.ym.mec.web.dal.enums.YesOrNoEnum;
import io.swagger.annotations.ApiModelProperty;

public class GoodsCategoryQueryInfo extends QueryInfo {

    @ApiModelProperty(value = "上级分类")
    private Integer parentId;

    @ApiModelProperty(value = "状态（1，可见  0，不可见）")
    private YesOrNoEnum status;

    public Integer getParentId() {
        return parentId;
    }

    public void setParentId(Integer parentId) {
        this.parentId = parentId;
    }

    public YesOrNoEnum getStatus() {
        return status;
    }

    public void setStatus(YesOrNoEnum status) {
        this.status = status;
    }
}
