package com.ym.mec.web.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.common.service.impl.BaseServiceImpl;
import com.ym.mec.web.dal.dao.TeacherDao;
import com.ym.mec.web.dal.entity.Teacher;
import com.ym.mec.web.service.TeacherService;

@Service
public class TeacherServiceImpl extends BaseServiceImpl<Integer, Teacher>  implements TeacherService {
	
	@Autowired
	private TeacherDao teacherDao;

	@Override
	public BaseDAO<Integer, Teacher> getDAO() {
		return teacherDao;
	}
	
}