package com.ym.mec.web.dal.dao;

import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.web.dal.entity.Organization;
import com.ym.mec.web.dal.page.OrganizationQueryInfo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface OrganizationDao extends BaseDAO<Integer, Organization> {

    /**
     * 根据父级id查询子级列表
     * @param parentId
     * @return
     */
    List<Organization> findByParentId(@Param("parentId") Integer parentId, @Param("delFlag") String delFlag);
}