package com.ym.mec.web.dal.dao;

import com.ym.mec.common.dal.BaseDAO;
import com.ym.mec.web.dal.entity.StudentRegistration;
import com.ym.mec.web.dal.page.StudentRegistrationQueryInfo;
import com.ym.mec.web.dal.utilEntity.StudentApplyDetailUtilEntity;

import java.util.List;
import java.util.Map;

public interface StudentRegistrationDao extends BaseDAO<Long, StudentRegistration> {

    /**
     * 获取乐团学员报名详情
     * @param params
     * @return
     */
    List<StudentApplyDetailUtilEntity> queryStudentDetailPage(Map<String, Object> params);

    /**
     * 获取乐团学员报名详情条数
     * @param params
     * @return
     */
    int queryStudentDetailCount(Map<String, Object> params);
}