package com.ym.mec.web.dal.entity;

import com.ym.mec.web.dal.enums.YesOrNoEnum;
import io.swagger.annotations.ApiModelProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 对应数据库表(course_group_detail):
 */
public class CourseGroupDetail {

	/**  */
	private Integer id;
	
	/** course_type表的id */
	@ApiModelProperty(value = "课程类型编号",required = false)
	private Integer courseTypeId;
	
	/** course_fee_type表的id */
	@ApiModelProperty(value = "课程组编号",required = false)
	private Integer courseGroupId;
	
	/** 课时（单位：分钟） */
	@ApiModelProperty(value = "课时（单位：分钟）",required = false)
	private Integer classPeriod;
	
	/** 单价 */
	@ApiModelProperty(value = "单价",required = false)
	private long unitPrice;
	
	/** 折扣单价 */
	@ApiModelProperty(value = "折扣单价",required = false)
	private long discountUnitPrice;
	
	/**  */
	private YesOrNoEnum delFlag;
	
	/**  */
	private java.util.Date createTime;
	
	/**  */
	private java.util.Date updateTime;
	
	public void setId(Integer id){
		this.id = id;
	}
	
	public Integer getId(){
		return this.id;
	}
			
	public void setCourseTypeId(Integer courseTypeId){
		this.courseTypeId = courseTypeId;
	}
	
	public Integer getCourseTypeId(){
		return this.courseTypeId;
	}
			
	public void setCourseGroupId(Integer courseGroupId){
		this.courseGroupId = courseGroupId;
	}
	
	public Integer getCourseGroupId(){
		return this.courseGroupId;
	}
			
	public void setClassPeriod(Integer classPeriod){
		this.classPeriod = classPeriod;
	}
	
	public Integer getClassPeriod(){
		return this.classPeriod;
	}
			
	public void setUnitPrice(long unitPrice){
		this.unitPrice = unitPrice;
	}
	
	public long getUnitPrice(){
		return this.unitPrice;
	}
			
	public void setDiscountUnitPrice(long discountUnitPrice){
		this.discountUnitPrice = discountUnitPrice;
	}
	
	public long getDiscountUnitPrice(){
		return this.discountUnitPrice;
	}

	public YesOrNoEnum getDelFlag() {
		return delFlag;
	}

	public void setDelFlag(YesOrNoEnum delFlag) {
		this.delFlag = delFlag;
	}

	public void setCreateTime(java.util.Date createTime){
		this.createTime = createTime;
	}
	
	public java.util.Date getCreateTime(){
		return this.createTime;
	}
			
	public void setUpdateTime(java.util.Date updateTime){
		this.updateTime = updateTime;
	}
	
	public java.util.Date getUpdateTime(){
		return this.updateTime;
	}
			
	@Override
	public String toString() {
		return ToStringBuilder.reflectionToString(this);
	}

}
